
Webhooks Input - Feature #2095

Add ability to use SSL/TLS

10/17/2017 09:51 PM - Luke Murphey

Status: Closed Start date: 10/17/2017

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.2   

Description

https://github.com/LukeMurphey/splunk-webhooks-input/issues/3

Associated revisions

Revision 48 - 11/02/2017 08:52 PM - lukemurphey

Upgrading to the last modular input class and adding the FilePathField

Reference #2095

Revision 49 - 11/02/2017 08:54 PM - lukemurphey

Adding SSL/TLS support to the webhooks input

Closes #2095

Revision 50 - 11/02/2017 09:19 PM - lukemurphey

Fixing issue error where FilePathField didn't return the path correctly

Reference #2095

History

#1 - 10/17/2017 09:51 PM - Luke Murphey

- Description updated

#2 - 11/01/2017 05:01 PM - Luke Murphey

See:

https://gist.github.com/dergachev/7028596

https://gist.github.com/RichardBronosky/644cdfea681518403f5409fa16823c1f#file-simple-https-server-py

#3 - 11/02/2017 07:30 PM - Luke Murphey

I made certificates with these commands per https://www.akadia.com/services/ssh_test_certificate.html:

openssl genrsa -des3 -out server.key 1024

openssl req -new -key server.key -out server.csr

cp server.key server.key.org

openssl rsa -in server.key.org -out server.key

openssl x509 -req -days 365 -in server.csr -signkey server.key -out server.crt
#4 - 11/02/2017 09:07 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

#5 - 11/02/2017 09:15 PM - Luke Murphey

- % Done changed from 100 to 90

#6 - 11/02/2017 09:21 PM - Luke Murphey

- % Done changed from 90 to 100
